* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, sans-serif;
}

body {
  min-height: 100vh;
  padding: 40px;
  line-height: 1.6;
  background: white;
  color: black;
  transition: 0.4s;
}

h1 {
  text-align: center;
  margin: 20px 0;
}

.toggle-btn {
  width: 80px;
  height: 35px;
  background: #111;
  border-radius: 50px;
  position: relative;
  margin: 0 auto 30px;
  cursor: pointer;
  display: flex;
  align-items: center;
  padding: 5px;
}

.circle {
  width: 25px;
  height: 25px;
  background: yellow;
  border-radius: 50%;
  transition: 0.3s ease-in-out;
  position: relative;
  left: 0;
}

/* عند تفعيل الثيم الداكن */
.dark {
  background: #001f3f; /* كحلي */
  color: white;
}

.dark .toggle-btn {
  background: white;
}

.dark .circle {
  background: navy;
  left: 45px; /* تتحرك الناحية التانية */
}
